Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Class DragSourceEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.dnd.DragSourceEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DragSourceDragEvent, DragSourceDropEvent

public class DragSourceEvent
extends EventObject

This class is the base class for `DragSourceDragEvent` and `DragSourceDropEvent`.

Since:
  1.2
See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DragSourceEvent(DragSourceContext dsc)` Construct a `DragSourceEvent` given a specified `DragSourceContext`.

Method Summary
`DragSourceContext` | `getDragSourceContext()` This method returns the `DragSourceContext` that originated the event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragSourceEvent

    public DragSourceEvent(DragSourceContext dsc)

  Construct a `DragSourceEvent` given a specified `DragSourceContext`.

  Parameters:
    `dsc` - the `DragSourceContext`

Method Detail

### getDragSourceContext

    public DragSourceContext getDragSourceContext()

  This method returns the `DragSourceContext` that originated the event.

  Returns:
    the `DragSourceContext` that originated the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.